package com.ruoyi.file.service;

import com.ruoyi.file.domain.FileUpdateInfo;

import java.util.List;

public interface FileUpdateInfoService {
    void addFileToDatabase(FileUpdateInfo fileUpdateInfo) throws Exception;

    boolean checkFileUpdate(Long id) throws Exception;

    void performFileUpdate(Long id) throws Exception;

    List<FileUpdateInfo> getAllFiles() throws Exception;

    List<FileUpdateInfo> getFilesByFileNameContaining(String fileName) throws Exception;

    FileUpdateInfo getFileById(Long id) throws Exception;

    void deleteFileById(Long id) throws Exception;
}